/* December 28, 2008 */


/* li_resnick, do-file */
/* Replication, Model 1, Table 1, Quan Li and Adam Resnick, 2003, "Reversal of Fortunes: Democratic Institutions and Foreign Direct Investment Inflows to Developing Countries," _International Organization_, 57 (1): 175-211. */


set matsize 200
set memory 200m
set more off


use "F:\research, journal papers\foreign direct investment_outliers\QJPS\replication data, do and log-files\data\li_resnick"


des
sum


tsset ccode year, yearly



************* Table 1: FDI *************
 
***** Model 1 replicated
xtpcse fdiinflead dem property2index durable instab chrmwi loggdp loggdppc growth exdev control8 wfdiinflead, pairwise corr(ar1)

***** Model 2 China dummy
** creating a China dummy based on DFBETAs: four most outlying observations
generate china = 1 if ccode == 710 & (year==1995 | year==1994 | year==1993 | year==1992)
replace china = 0 if ~(ccode == 710 & (year==1995 | year==1994 | year==1993 | year==1992))
xtpcse fdiinflead  dem property2index durable instab chrmwi loggdp loggdppc growth exdev control8 wfdiinflead china, pairwise corr(ar1)

***** Model 3 Albchina dummy
** creating An albania and China dummy based on DFBETAs: two most outlying observations
generate albchina = 1 if (ccode == 339 & year==1991) | (ccode == 710 & year==1993)
replace albchina = 0 if ~((ccode == 339 & year==1991) | (ccode == 710 & year==1993))
xtpcse fdiinflead  dem property2index durable instab chrmwi loggdp loggdppc growth exdev control8 wfdiinflead albchina, pairwise corr(ar1)

***** Model 4 robust regression
rreg fdiinflead dem property2index durable instab chrmwi loggdp loggdppc growth exdev control8 wfdiinflead, nolog



************* Figures 1 and 2 ***********

***** Figure 1 partial regression plot: democracy
xtpcse fdiinflead property2index durable instab chrmwi loggdp loggdppc growth exdev control8 wfdiinflead, pairwise corr(ar1)
predict yhat1
generate e11 = fdiinflead - yhat1
xtpcse dem property2index durable instab chrmwi loggdp loggdppc growth exdev control8 wfdiinflead, pairwise corr(ar1)
predict demhat
generate e22 = dem - demhat
scatter e11 e22, title(Figure 1  Partial Regression Plot: Democracy) xtitle(Residuals from the LEVEL OF DEMOCRACY) ytitle(Residuals from Inflows of FDI) mlabel(country year)

***** Figure 2 partial regression plot: property rights
xtpcse fdiinflead dem durable instab chrmwi loggdp loggdppc growth exdev control8 wfdiinflead, pairwise corr(ar1)
predict yhat2
generate e33 = fdiinflead - yhat2
xtpcse property2index dem durable instab chrmwi loggdp loggdppc growth exdev control8 wfdiinflead, pairwise corr(ar1)
predict property2indexhat
generate e44 = property2index - property2indexhat
scatter e33 e44, title(Figure 2  Partial Regression Plot: Property Rights) xtitle(Residuals from PROPERTY RIGHTS PROTECTION) ytitle(Residuals from Inflows of FDI) mlabel(country)



************ Table 2: FDI/GDP *************

***** Model 1 OLS
xtpcse Fvar5 dem property2index durable instab chrmwi loggdp loggdppc growth exdev control8 wfdiinflead, pairwise corr(ar1)

***** Model 2 robust regression
rreg Fvar5 dem property2index durable instab chrmwi loggdp loggdppc growth exdev control8 wfdiinflead, nolog

***** Model 3 robust regression: 2 steps
rreg loggdp dem property2index durable instab chrmwi loggdppc growth exdev control8 wfdiinflead veto3, nolog
predict loggdphat
rreg Fvar5 dem property2index durable instab chrmwi loggdphat loggdppc growth exdev control8 wfdiinflead, nolog

***** Model 4 OLS without loggdp
xtpcse Fvar5 dem property2index durable instab chrmwi /*loggdp*/ loggdppc growth exdev control8 wfdiinflead, pairwise corr(ar1)

***** Model 5 robust regression without loggdp
rreg Fvar5 dem property2index durable instab chrmwi /*loggdp*/ loggdppc growth exdev control8 wfdiinflead, nolog



************ Figure 3 partial regression plot: democracy *************
xtpcse Fvar5 property2index durable instab chrmwi loggdp loggdppc growth exdev control8 wfdiinflead, pairwise corr(ar1)
predict yhat3
generate e55 = Fvar5 - yhat3
xtpcse dem property2index durable instab chrmwi loggdp loggdppc growth exdev control8 wfdiinflead, pairwise corr(ar1)
predict demhat2
generate e66 = dem - demhat2
scatter e55 e66, title(Figure 3  Partial Regression Plot: Democracy) xtitle(Residuals from the LEVEL OF DEMOCRACY) ytitle(Residuals from Inflows of FDI) mlabel(country)



************* Appendix 1: without property rights protection *************

***** Model 1 replicated
xtpcse fdiinflead dem durable instab chrmwi loggdp loggdppc growth exdev control8 wfdiinflead, pairwise corr(ar1)

***** Model 2 China dummy
xtpcse fdiinflead dem durable instab chrmwi loggdp loggdppc growth exdev control8 wfdiinflead china, pairwise corr(ar1)

***** Model 3 robust regression
rreg fdiinflead dem durable instab chrmwi loggdp loggdppc growth exdev control8 wfdiinflead, nolog



